@import '../../variables';

.data-box {
  .toggle-buttons {
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    @media (max-width: 767px) {
      flex-direction: row;
      align-items: center;
      justify-content: space-between;

      button {
        margin: 0;
      }
    }
  }

  &__error-button {
    font-size: 0.875rem;
    border-radius: 20px;
    margin-top: 1.5rem;
    margin-bottom: 0.5rem;
    font-weight: 500;
    color: map-get($theme-colors, 'secondary');
    background-color: map-get($theme-colors, 'light-grey');
    border-color: map-get($theme-colors, 'highlight');

    &:hover,
    &:focus {
      background-color: map-get($theme-colors, 'warning');
      border-color: map-get($theme-colors, 'warning');
      color: #fff;

      svg {
        fill: #fff !important;
      }
    }

    svg {
      fill: map-get($theme-colors, 'secondary') !important;
      margin-right: 0.5rem;
      transition: fill 0.15s ease-in-out;
    }
  }

  .secondary {
    color: map-get($theme-colors, 'secondary');
  }
}
